Jump to content

dnovember99

Members
  • Content count

    95
  • Joined

  • Last visited

Community Reputation

10 Good

About dnovember99

  • Rank
    Forum Junior

My Work

  • Discipline
    Multi-disciplinary

My Software

  • Main CAD Product
    AutoCAD
  • Current Product Version
    2016
  • First AutoCAD Version
    AutoCAD 2007
  1. ok i wanted to update to what i found. it looks like for some reason under the polar tracking settings something, or somehow it was changed from absolute to relative to last segment. i am not sure how this happened so now i have to figure out how this can remain the same.
  2. so it is looking like when i set the polar tracking to the 15 degrees that i want to use, and if i do not stay on a plain of 15 degrees then that is when things are starting to go wakko. i have removed all custom lisp routines and everything still does this. i also realized that even with this doing this to me my polar tracking setting doesn't change, it stays on 15 degrees
  3. ok so after running this for a while it looks like this didn't fix the issue. i guess i am just stuck with having to dump a few of my commands that i use from time to time
  4. i am wondering, if you are to have an error handler lisp routine saved within the same file that all of your lisp routines are at, and you had each of the lisp routines that you run call the error handler at anytime you use a custom lisp? is that something that is even possible?
  5. so after removing everything that i had in my start up under appload. i found that two of the lisps are causing the issues. but i am also noticing that when i have my polar tracking on and set at the 15 degrees, if i draw a line that isn't at 15 degrees, the next segment of line that is drawn is messed up and off by 2-5 degrees. but here is the two lisp's that i noticed ;; THIS WILL ALLOW YOU TO BE ABLE TO CHOOSE IF YOU WANT TO HAVE THIS AT THE BEGINNING OR THE END OF TEXT ;; AFTER SELECTING P OR S YOU CAN PLACE WHAT EVER TEXT YOU WANT. ;; THIS WILL ADD TO THE BEGINNING RO THE END OF EACH SELECTED TEXT GROUP. ;; ;; (defun c:ENT (/ PreSuf Str ent Cstr) (vl-load-com) (initget "P S") (setq PreSuf (getkword "\nChoose [Prefix/Suffix] <Prefix>: ")) (if (not PreSuf) (setq PreSuf "S") ) (while (not str) (setq str (getstring T "\nEnter String: ")) (cond ((and (eq str "") (princ "Null Input Try again") (setq str nil) ) ) ) ) (while (and (setq ent (car (nentsel "\nSelect Text/Attribute: "))) (member (cdr (assoc 0 (entget ent))) '("TEXT" "MTEXT" "ATTRIB") ) ) (setq ent (vlax-ename->vla-object ent) Cstr (vla-get-textstring ent) ) (vla-put-textstring ent (if (eq PreSuf "S") (strcat Cstr "" str) (strcat str "" Cstr) ) ) )(princ) ) (defun C:FLIP ( / L f ) (and (setq L (CycleInputs '( (SS (progn (princ "\n>>Select objects to mirror: ") (ssget "_:L"))) (p1 (progn (initget "Exit") (apply 'getpoint (append (if p2 (list p2)) '("First Point [Exit]: ")))) ) (p2 (progn (initget "Exit") (apply 'getpoint (append (if p1 (list p1)) '("Second Point [Exit]: ")))) ) ) (lambda (s v) (= "Exit" v) ) ); CycleInputs ); setq L (= 3 (length L)) (setq f (lambda (x) (cdr (assoc x L)))) (progn (setvar 'cmdecho 0) (command "_.MIRROR" (f 'SS) "" "_non" (f 'p1) "_non" (f 'p2) "Y") (setvar 'cmdecho 1) ) ) (princ) ); defun C:flip (defun CycleInputs ( inpL exitf / tmp ) (cond ; (87 114 105 116 116 101 110 32 98 121 32 71 114 114 114) ( (not inpL) inpL) ( (setq tmp (vl-catch-all-apply (function (lambda (a b) (set a (eval b)))) (car inpL))) (cond ( (vl-catch-all-error-p tmp) (prompt (vl-catch-all-error-message tmp)) ) ( (and exitf (vl-catch-all-apply (function exitf) (list (caar inpL) tmp))) (set (caar inpL) nil) ) ( (mapcar (function (lambda (tmp) (set (car tmp) nil) tmp)) (cons (cons (caar inpL) tmp) (CycleInputs (cdr inpL) exitf)) ) ) ) ) ( (CycleInputs (reverse (cons (car inpL) (reverse (cdr inpL)))) exitf) ) ) ) thank you again for all your help/
  6. i think that i found a possible problem. would having two lisp routines, in the same folder (but having a slight modification to one) cause that issue? i also have autoloader from lee mac that i use. but within that autoloader it only has one of those files. here is my autoloader file (the ***** is personal information that i blocked out. being that i am on a work computer.) (autoload "C:/Users/dave********/Desktop/LISP ROUTINES/AlignTextV1-4.lsp" '("AT")) (autoload "C:/Users/dave********/Desktop/LISP ROUTINES/BreakObjects22.LSP" '("BREAKALL" "BREAKOBJECT" "BREAKWOBJECT" "BREAKWLAYER" "BREAKWITH" "BREAKTOUCHING" "BREAKWITHTOUCHING" "BREAKSELECTED" "BREAKREMOVE" "MYBREAK")) (autoload "C:/Users/dave********/Desktop/LISP ROUTINES/BREAL ALL (BRKALL).lsp" '("BRKALL")) (autoload "C:/Users/dave********/Desktop/LISP ROUTINES/BubbleOff.lsp" '("BOFF")) (autoload "C:/Users/dave********/Desktop/LISP ROUTINES/CHANGE TEXT STYLE (CTS).lsp" '("CTS")) (autoload "C:/Users/dave********/Desktop/LISP ROUTINES/creater.lsp" '("CREATE")) (autoload "C:/Users/dave********/Desktop/LISP ROUTINES/del-layer.lsp" '("DEL-LAYER" "MDEL-LAYER")) (autoload "C:/Users/dave********/Desktop/LISP ROUTINES/DynamicTextAlignV1.0.lsp" '("DTA")) (autoload "C:/Users/dave********/Desktop/LISP ROUTINES/EXISTING TO REMAIN TEXT(ENT).LSP" '("ENT")) (autoload "C:/Users/dave********/Desktop/LISP ROUTINES/FLIP IT.lsp" '("FLIP")) (autoload "C:/Users/dave********/Desktop/LISP ROUTINES/GTTR.lsp" '("GTTR" "BTI" "GTTI")) (autoload "C:/Users/dave********/Desktop/LISP ROUTINES/JTEXT V1.0.LSP" '("JTEXT")) (autoload "C:/Users/dave********/Desktop/LISP ROUTINES/JTEXT V2.0.LSP" '("JTEXT")) (autoload "C:/Users/dave********/Desktop/LISP ROUTINES/justify.lsp" '("JL" "JR")) (autoload "C:/Users/dave********/Desktop/LISP ROUTINES/layer color change (LC).lsp" '("LC")) (autoload "C:/Users/dave********/Desktop/LISP ROUTINES/Layer No Plot (LNP).LSP" '("LNP")) (autoload "C:/Users/dave********/Desktop/LISP ROUTINES/Layer plot (LP).LSP" '("LP")) (autoload "C:/Users/dave********/Desktop/LISP ROUTINES/NO SPACES.LSP" '("NOSPACE")) (autoload "C:/Users/dave********/Desktop/LISP ROUTINES/pipe-calc.lsp" '("INVERT")) (autoload "C:/Users/dave********/Desktop/LISP ROUTINES/PLOT NO PLOT.LSP" '("LNP" "LP")) (autoload "C:/Users/dave********/Desktop/LISP ROUTINES/Scale All Tags(SX).lsp" '("SX")) (autoload "C:/Users/dave********/Desktop/LISP ROUTINES/Scale Text Height(TH).lsp" '("TH")) (autoload "C:/Users/dave********/Desktop/LISP ROUTINES/Spin Block(SPB).lsp" '("SPB")) (autoload "C:/Users/dave********/Desktop/LISP ROUTINES/t2m.lsp" '("T2M")) (autoload "C:/Users/dave********/Desktop/LISP ROUTINES/TEXT TO LEADER (TXL).LSP" '("TXL" "TEXTLEADER")) (autoload "C:/Users/dave********/Desktop/LISP ROUTINES/TRIM BETWEEN LINES(TB2).lsp" '("TB2")) (autoload "C:/Users/dave********/Desktop/LISP ROUTINES/XrefBind.LSP" '("XB")) here is the code to one lisp: ;; ENTER COMMAND OF (SX) SELECT ANY TAGS THAT YOU WANT TO CHANGE THE SCALE ON/ ;; 48 = 1/4" SCALE 96 = 1/8" SCALE. ;; YOU CAN SELECT MULTI TAGS AT ONCE. AFTER YOU HAVE YOUR NEW SCALE ALL THAT YOU WILL NEED TO DO IS ;; REARRANGE BUT THIS ELMINATES YOU HAVING TO SELECT WHAT YOU WANT, GO TO PROPERTIES AND CHANGE EACH ;; VALUE OF THE X, Y AND Z AXIS (THIS COMMAND WILL ALSO REMEMBER THE LAST SCALE FACTOR USED). (defun c:SX (/ i s) (or (setq i (getenv "ScaleIt")) (setq i "48.")) (if (and (not (initget 2)) (setq i (cond ((getreal (strcat "\nEnter block scale[<" i ">]: "))) ((read i)) ) ) (setq s (ssget ":L" '((0 . "insert")))) (setenv "ScaleIt" (vl-princ-to-string i)) ) (foreach b (mapcar 'vlax-ename->vla-object (vl-remove-if 'listp (mapcar 'cadr (ssnamex s)))) (foreach c '("X" "Y" "Z") (vl-catch-all-apply 'vlax-put (list b (read (strcat c "ScaleFactor")) i)) ) ) ) (princ) ) (vl-load-com) and here is the same code with a slight change to just the wording at the top ;; TAG SCALE - 11.28.2017 ;; ENTER COMMAND OF (SX) SELECT ANY TAGS THAT YOU WANT TO CHANGE THE SCALE ON/ ;; 48 = 1/4" SCALE 96 = 1/8" SCALE. ;; YOU CAN SELECT MULTI TAGS AT ONCE. AFTER YOU HAVE YOUR NEW SCALE ALL THAT YOU WILL NEED TO DO IS ;; REARRANGE BUT THIS ELMINATES YOU HAVING TO SELECT WHAT YOU WANT, GO TO PROPERTIES AND CHANGE EACH ;; VALUE OF THE X, Y AND Z AXIS (THIS COMMAND WILL ALSO REMEMBER THE LAST SCALE FACTOR USED). (defun c:SX (/ i s) (or (setq i (getenv "ScaleIt")) (setq i "48.")) (if (and (not (initget 2)) (setq i (cond ((getreal (strcat "\nEnter block scale[<" i ">]: "))) ((read i)) ) ) (setq s (ssget ":L" '((0 . "insert")))) (setenv "ScaleIt" (vl-princ-to-string i)) ) (foreach b (mapcar 'vlax-ename->vla-object (vl-remove-if 'listp (mapcar 'cadr (ssnamex s)))) (foreach c '("X" "Y" "Z") (vl-catch-all-apply 'vlax-put (list b (read (strcat c "ScaleFactor")) i)) ) ) ) (princ) ) (vl-load-com) I am still going to unload all of them and then try and find the one that is causing issues. i also noticed that i have stuff in the autoloader that i am not using much of, so it is time to trim the fat.
  7. it isn't just with a custom lisp routine that does this. it is even when i am drawing a simple line, doing match properties(above lisp i have it set to MA), mirror or really anything else. and i am still rather new to the whole lisp routine thing so i am sorry if this sounds bad. but the acadoc.lsp? and if that makes you laugh please go ahead lol
  8. dnovember99

    osmode is always changing

    i have posted the code here. http://www.cadtutor.net/forum/showthread.php?104633-osmode-is-changing-on-me-or-the-reset-is-being-bypassed&p=704538#post704538
  9. So I have my settings a certain way, and I havw a lisp routine that I am able to type a command to set them all back to a certain way. But for some reason when I am in a command it works and then when I exit the command or hit ESC, prior to completing the command, all my settings go wakko! For example my osnap settings turn off, my polar settings go from what I have set (15 degrees) and then it changes it by 2.5 degrees. orthodox sometimes turns off or on. this is happening no matter if i finish the command or if i hit ESC. i have made some modifications to the lisp to try and make it work for me but i cant seem to get this to work. Does anyone know of a fix for this? Or a better work around? It seems to happen almost each time I run any command. Thanks all (defun c:K () (setvar "POLARMODE" 1) (setvar "osmode" 551) (setvar "POLARANG" (angtof "15.0")) ) ;;when you type K, it resets your osnaps to your custom setting ;;Custom Routines (defun c:c0 () (command "_copybase" "0,0") ) (defun c:v0 () (command "_pasteclip" "0,0") ) (defun c:ZZ () (command "layfrz") ) (load "_RC-CLOUDS") (defun c:KL () (load "_KL") (C:KL)) ;;DRAW BACKWARDS 3-POINT LEADER (defun c:T2MT () (load "T2MT-MT2T") (C:T2MT)) ;;TEXT TO MTEXT (defun c:VB () (load "_VB") (C:VB)) ;;VIEWPORT BOX IN MODELSPACE (defun c:XRR () (load "XRR") (C:XRR)) ;;XREF RELOAD (defun c:XRV () (load "XRV") (C:XRV)) ;;XREF RELOAD WITH VISRETAIN (defun c:XRU () (load "XRU") (C:XRU)) ;;XREF DETACH (defun c:explodable () (load "explodable") (C:explodable)) ;;explodable (defun c:cleanbase () (load "cleanbase") (C:cleanbase)) ;;Clean base drawing (defun c:cleantitle () (load "cleantitle") (C:cleantitle)) ;;Clean title drawing (Defun c:ERD () (load "_ERD") (c:ERD)) (Defun c:ERH () (load "_ERD") (c:ERH)) (Defun c:ERT () (load "_ERD") (c:ERT)) (Defun C:QS () (command ".qsave") (princ)) (defun c:read () (defun c:qs () (alert "NO! NO! NO! NO! NO! NO!")) ) (defun c:Dave() (load "_0Dave.lsp") (alert "Dave - list of commands \nK - Your ACAD Defaults \nQS - Quick Save \nERH Erase Hatch \nMA Match Properties\nREAD - removes Quick Save command \nKL - Draw backwards three point leader \nCleantitle - Clean title drawing \nCleanBase - Clean base drawing\nRCC - Rev Cloud Sketch \nRCB - Rev Cloud Block") ) (print "Dave Lisp Loaded Successfully!") (princ) (defun c:MA () (COMMAND "MATCHPROP") ) ;;XREF DETACH here is a link to my original post. http://www.cadtutor.net/forum/showthread.php?104632-osmode-is-always-changing&p=704537#post704537
  10. So I have my settings a certain way, and I havw a lisp routine that I am able to type a command to set them all back to a certain way. But for some reason when I am in a command it works and then when I exit the command or hit ESC, prior to completing the command, all my settings go wakko! For example my osnap settings turn off, my polar settings go from what I have set (15 degrees) and then it changes it by 2.5 degrees. orthodox sometimes turns off or on. Does anyone know of a fix for this? Or a better work around? It seems to happen almost each time I run a command. Thanks all
  11. dnovember99

    polar angle issue

    so after doing to additional digging i am wondering if error checking or error handling within any given lisp that i am using, isn't resetting the environment back to a known state? http://www.lee-mac.com/errorhandling.html trying to follow this information is a little hard for me. i am understanding the concept for this but i am trying to figure out how i would be able to add this to a lisp in order to have everything be set back to the way that it was or to the last known state. this way if you go to execute a command and hit the wrong key, most people would it ESC. and that is where i think that this lisp is faulting. any thoughts as to how i would be able to get this to be added to all of my lisp routines?
  12. dnovember99

    polar angle issue

    This is what i have been able to find. Polar angle measurements 0 Measure polar angles based on current UCS (absolute) 1 Measure polar angles from selected objects (relative) but it seems for some reason that the system (either autocad itself or something else within something that my company as put in) just turns off my snaps, polar tracking or ortho and i have to run that command in the original post to reset everything. i did make a change to it and updated the (setvar "osmode" 679) i changed the number within this to reflect the changes to the snaps that i added. i looked at an old code that i was using, so it seems that i was using (2) so who know..
  13. dnovember99

    polar angle issue

    I am not the one that set this lisp up. So that is something that I could try for sure.
  14. so i have my polar angle set at 15 degrees. and for some reason from time to time (more often than not) my angle seems to be off. i have noticed that it is off by 2 degrees at each snapping point. i noticed that the tempoverrides being set to a value of 1 (or turned on) is causing this issue. we have a lisp routine that we have been using to adjust or reset all of our settings back to the way that we have them. and that seem to work for a short time. here is the code. (defun c:K () (setvar "POLARMODE" 1) (setvar "osmode" 679) (setvar "POLARANG" (angtof "15")) ) ;;when you type K, it resets your osnaps to your custom setting ;;Custom Routines (defun c:c0 () (command "_copybase" "0,0") ) (defun c:v0 () (command "_pasteclip" "0,0") ) (defun c:ZZ () (command "layfrz") ) (load "_RC-CLOUDS") (defun c:KL () (load "_KL") (C:KL)) ;;DRAW BACKWARDS 3-POINT LEADER (defun c:T2MT () (load "T2MT-MT2T") (C:T2MT)) ;;TEXT TO MTEXT (defun c:VB () (load "_VB") (C:VB)) ;;VIEWPORT BOX IN MODELSPACE (defun c:XRR () (load "XRR") (C:XRR)) ;;XREF RELOAD (defun c:XRV () (load "XRV") (C:XRV)) ;;XREF RELOAD WITH VISRETAIN (defun c:XRU () (load "XRU") (C:XRU)) ;;XREF DETACH (defun c:explodable () (load "explodable") (C:explodable)) ;;explodable (defun c:cleanbase () (load "cleanbase") (C:cleanbase)) ;;Clean base drawing (defun c:cleantitle () (load "cleantitle") (C:cleantitle)) ;;Clean title drawing (Defun c:ERD () (load "_ERD") (c:ERD)) (Defun c:ERH () (load "_ERD") (c:ERH)) (Defun c:ERT () (load "_ERD") (c:ERT)) (Defun C:QS () (command ".qsave") (princ)) (defun c:read () (defun c:qs () (alert "NO! NO! NO! NO! NO! NO!")) ) (defun c:Dave() (load "_0Dave.lsp") (alert "Dave - list of commands \nK - Your ACAD Defaults \nQS - Quick Save \nERH Erase Hatch \nMA Match Properties\nREAD - removes Quick Save command \nKL - Draw backwards three point leader \nCleantitle - Clean title drawing \nCleanBase - Clean base drawing\nRCC - Rev Cloud Sketch \nRCB - Rev Cloud Block") ) (print "Dave Lisp Loaded Successfully!") (princ) (defun c:MA () (COMMAND "MATCHPROP") ) ;;XREF DETACH does anyone know of any good fix for this? also it seems that there are a lot of posts on polar angle issues, so sorry for a new one.
  15. i have been searching for months for something that would help me out with this. i am looking for something that will work with MTEXT. when i search for justification it seems to change where the "TAB" is located. (right, left, top left, top right, bottom right, bottom left, ETC.) but in order to get the text within the MTEXT to align to the left or to the right you have to double click to open the text editor and then select all and change the paragraph alignment. attached in the justify lisp that i found a while ago that will just change the location of the tab. if you run this lisp in AutoCAD you will see what i mean. i hope that this make sense. justify.lsp
×